<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Icon generator</title>

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway:400,500,600&display=swap">
  <link rel="stylesheet" href="styles/style.css">
</head>
<body>

<img id="blah" src="#" alt="your image" style="display: none;" />

<main class="container-fluid" style="margin-top: 5rem;">
  <div class="row" style="min-height: 35rem; min-width: 30rem;">
    <div class="col-8">
      <div class="outline" style="background-color: #f1f1f1; padding: 3rem; height: 100%;">
        <div class="inner" id="innerImage" style="padding: 3rem; overflow: hidden;">
          <canvas id="imageCanvas" width="578" height="400"></canvas>
        </div>
        <img src="./images/i.png" alt="hoot" id="hoot">
      </div>
    </div>
    <div class="col-4">

      <div id="image-transfer" style="margin-bottom: 3rem;">
        <h4>Ajouter une image</h4>
        <input type='file' id="imageLoader" />
      </div>

      <div id="image-dimensions" style="margin-bottom: 3rem;">
        <h4>Dimensions</h4>
        <span style="margin-right: 5px;">18</span><input type="range" min="18" max="1024" value="100" class="slider" id="imageRange"><span style="margin-left: 5px;">1024</span>
        <p>Taille de l'image : <span id="textImageRange">100</span>px</p>
        <span>H</span>
        <span class="px"><input type="number" id="imageSizeH" min="18" max="1024" value="18" class="input-size"></span>
        <span style="margin-left: 2rem">L</span>
        <span class="px"><input type="number" id="imageSizeL" min="18" max="1024" value="18" class="input-size"></span>
      </div>

      <div id="image-radius" style="margin-bottom: 3rem;">
        <h4>Angles</h4>
        <div class="row">
          <div class="col-4">
            <input type="button" value="droits" onclick="modifyRadius('d')">
          </div>
          <div class="col-4">
            <input type="button" value="arrondis" onclick="modifyRadius('a')">
          </div>
          <div class="col-4">
            <input type="button" value="rond" onclick="modifyRadius('r')">
          </div>
        </div>
      </div>

      <div id="image-background" style="margin-bottom: 3rem;">
        <h4>Fond</h4>
        <input type="color" id="colorPicker" name="head" value="" style="border: 0; width: 80px; height: 50px;">
      </div>

      <div id="image-valid">
        <input type="button" id="valid-image-button" value="Valider">
      </div>
    </div>
  </div>
</main>

<!-- You can also require other files to run in this process -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script src="./renderer.js"></script>
</body>
</html>
